%define __libtoolize    /bin/true

%define use_enable_final 0
%{?_no_enable_final: %{expand: %%global use_enable_final 0}}

%define unstable 1
%{?_unstable: %{expand: %%global unstable 1}}

%if %unstable
%define dont_strip 1
%endif

%define	major	2
%define	libname	%mklibname %name %major
%define oldlibname %mklibname %name 1

%define k3b_18n_version 1.0
%define pre rc7
%define subrel 1

Name:          k3b
Summary:       CD-Burner for KDE
Version:       1.0
Release:       %mkrel 3
License:       GPL
Group:	       Archiving/Cd burning
Source0:       %{name}-%{version}.tar.bz2
Source1:       %{name}-i18n-%{k3b_18n_version}.tar.bz2
Patch1:	       k3b-1.0-fix-from-branch-20070320.patch
Patch2:        k3b-fix-sox-detection.patch
URL: 	       http://www.k3b.org/
Requires:      cdrecord mkisofs cdrdao sox vcdimager kdebase-progs
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: libcdda-devel
BuildRequires: kdelibs-devel 
BuildRequires: jpeg-devel
BuildRequires: png-devel
BuildRequires: X11-devel
BuildRequires: mad-devel
BuildRequires: arts-devel
BuildRequires: libart_lgpl-devel
BuildRequires: fam-devel
BuildRequires: audiofile-devel
BuildRequires: alsa-lib-devel
BuildRequires: libvorbis-devel
BuildRequires: nas-devel 
BuildRequires: libflac++-devel
BuildRequires: libflac-devel
BuildRequires: id3lib-devel 
BuildRequires: taglib-devel 
BuildRequires: musicbrainz-devel 
BuildRequires: ffmpeg-devel
BuildRequires: libsndfile-devel 
BuildRequires: libmpcdec-devel 
BuildRequires: libsamplerate-devel
BuildRequires: libdbus-qt-1-devel
BuildRequires: flac

%if %mdkversion <= 200600
BuildRequires: MesaGLU-devel
%else
BuildRequires: mesaglut-devel
%endif

Obsoletes:     kde3-k3b
Provides:      kde3-k3b
Conflicts:     k3b <= 0.9-3mdk
Requires:      %libname = %version-%release

%description
K3b is CD-writing software which intends to be feature-rich and 
provide an easily usable interface. Features include burning 
audio CDs from .WAV and .MP3 audio files, configuring external 
programs and configuring devices. 


%package -n	k3b-dvd
Group:		Archiving/Cd burning
Summary:	k3b with DVD support
Requires:	%name
Requires:	dvd+rw-tools

%description -n k3b-dvd
K3b with requires for dvd


%package -n	%libname
Group: 		System/Libraries
Summary: 	Libraries for %name
Provides: 	lib%name = %version-%release
Conflicts: 	k3b <= 0.9-3mdk
Obsoletes:	%oldlibname

%description -n	%libname
The libraries from %name package

%package -n	%libname-devel
Group: 		Development/Other
Summary: 	Libraries for %name
Requires:	%libname = %version-%release
Provides:	lib%name-devel = %version-%release
Provides: 	%{name}-devel = %{version}-%{release}
Obsoletes:	%oldlibname-devel
Obsoletes:	%{name}-devel
Conflicts: 	k3b <= 0.9-3mdk

%description -n	%libname-devel
Development libraries from %name

%prep
%setup -q -c -n %{name}
%setup -q -T -D -c -a 1 -n %{name}
(
cd $RPM_BUILD_DIR/%{name}/%{name}-%{version}
%patch1 -p1 -b .fix_from_branch
%patch2 -p0 -b .sox_detection
)


%build
export QTDIR=%_prefix/lib/qt3

cd $RPM_BUILD_DIR/%{name}/%{name}-%{version}

%configure2_5x \
   --disable-rpath \
   %if "%{_lib}" != "lib"
   --enable-libsuffix="%(A=%{_lib}; echo ${A/lib/})" \
   %endif
   %if %{use_enable_final}
   --enable-final \
   %endif
   --with-k3bsetup=no \
   %if %unstable
   --enable-debug=full 
   %else
   --disable-debug
   %endif

%make 

cd -

cd $RPM_BUILD_DIR/%{name}/%{name}-i18n-%{k3b_18n_version}
make -f admin/Makefile.common
CFLAGS="%optflags" CXXFLAGS="%optflags" \
%configure --disable-rpath \
            --datadir=%_datadir \
            --disable-debug
# Necessary to regenerate po file !!!! Otherwise it's not generated
make clean
find -name *.gmo | xargs rm -f
%make
cd -


%install
rm -rf %buildroot
mkdir -p %buildroot/%_datadir/applnk/Multimedia

cd $RPM_BUILD_DIR/%{name}/%{name}-%{version}
%makeinstall
cd -

cd $RPM_BUILD_DIR/%{name}/%{name}-i18n-%{k3b_18n_version}
%makeinstall
cd -


install -d %buildroot/%_menudir/
install -d %buildroot/%_datadir/applications/kde/
kdedesktop2mdkmenu.pl %{name} "Applications/Archiving/CD Burning" %buildroot/%_datadir/applications/kde/%{name}.desktop %buildroot/%_menudir/%{name} 
#kdedesktop2mdkmenu.pl %{name} Configuration/KDE/System %buildroot/%_datadir/applnk/Settings/System/k3bsetup2.desktop %buildroot/%_menudir/k3b-k3bsetup2 kde
%if %mdkversion <= 200600
kdedesktop2mdkmenu.pl %{name} .hidden %buildroot/%_datadir/applnk/.hidden/k3b-cue.desktop %buildroot/%_menudir/k3b-cue kde

#Necessary to change title otherwise menu program didn't create twice menu entry with same name
perl -pi -e "s/K3b/K3b-cue/"  %buildroot/%_menudir/k3b-cue

kdedesktop2mdkmenu.pl %{name} .hidden %buildroot/%_datadir/applnk/.hidden/k3b-iso.desktop %buildroot/%_menudir/k3b-iso kde
perl -pi -e "s/K3b/K3b-iso/"  %buildroot/%_menudir/k3b-iso
%endif

#kdedesktop2mdkmenu.pl %{name} Configuration/KDE/System %buildroot/%_datadir/applnk/Settings/System/k3bsetup2.desktop %buildroot/%_menudir/k3bsetup2 kde

#kdedesktop2mdkmenu.pl %{name} "Applications/Archiving/Cd burning" %buildroot/%_datadir/applnk/Multimedia/k3bsetup.desktop %buildroot/%_menudir/k3bsetup
#fix menu warning
echo >> %buildroot/%_menudir/%{name}

#cat %buildroot/%_menudir/k3bsetup >> %buildroot/%_menudir/k3b
#icons for rpmlint
mkdir -p %buildroot/{%_liconsdir,%_miconsdir,%_iconsdir}
ln -s %_datadir/icons/crystalsvg/48x48/apps/%{name}.png %buildroot/%_liconsdir
ln -s %_datadir/icons/crystalsvg/32x32/apps/%{name}.png %buildroot/%_iconsdir
ln -s %_datadir/icons/crystalsvg/16x16/apps/%{name}.png %buildroot/%_miconsdir

# Remove icons in servicemenu
cd %buildroot/%_datadir/apps/konqueror/servicemenus/
for i in *.desktop
		do perl -pi -e "s|Icon.*||" $i
done
cd -				

%find_lang %{name} --with-html
%find_lang k3bsetup
%find_lang libk3b
%find_lang libk3bdevice

cat k3bsetup.lang libk3b.lang libk3bdevice.lang >> %{name}.lang

%post
%{update_menus}
%if %mdkversion > 200600
%{update_desktop_database}
%endif

%postun
%{clean_menus}
%if %mdkversion > 200600
%{clean_desktop_database}
%endif

%post -n %libname -p /sbin/ldconfig
%postun -n %libname -p /sbin/ldconfig

%clean
rm -rf %buildroot

%files -f %{name}.lang
%defattr (-,root,root)

%dir %_docdir/HTML/*/k3b
%doc %_docdir/HTML/*/k3b/*

%_bindir/*
%_menudir/*
%_datadir/applications/kde/*
#%_datadir/applnk/Settings/*
%_datadir/apps/konqueror/servicemenus/*
%_datadir/mimelnk/application/*

%dir %_datadir/apps/%{name}/
%_datadir/apps/%{name}/*
%_liconsdir/%{name}.png
%_iconsdir/%{name}.png
%_miconsdir/%{name}.png

%_datadir/sounds/*.wav


%_datadir/applnk/.hidden/*.desktop

%_datadir/icons/hicolor/16x16/apps/k3b.png
%_datadir/icons/hicolor/22x22/apps/k3b.png
%_datadir/icons/hicolor/32x32/apps/k3b.png
%_datadir/icons/hicolor/48x48/apps/k3b.png
%_datadir/icons/hicolor/64x64/apps/k3b.png
%_datadir/icons/hicolor/128x128/apps/k3b.png

%_datadir/apps/konqsidebartng/virtual_folders/services/videodvd.desktop
%_datadir/services/kfile_k3b.desktop
%_datadir/services/videodvd.protocol



%files -n k3b-dvd

%files -n %libname
%defattr(-,root,root)
%_libdir/kde3/libk3baudiometainforenamerplugin.la
%_libdir/kde3/libk3baudiometainforenamerplugin.so
%_libdir/kde3/libk3bexternalencoder.la
%_libdir/kde3/libk3bexternalencoder.so
%_libdir/kde3/libk3bmaddecoder.la
%_libdir/kde3/libk3bmaddecoder.so
%_libdir/kde3/libk3boggvorbisdecoder.la
%_libdir/kde3/libk3boggvorbisdecoder.so
%_libdir/kde3/libk3boggvorbisencoder.la
%_libdir/kde3/libk3boggvorbisencoder.so
%_libdir/kde3/libk3bffmpegdecoder.la
%_libdir/kde3/libk3bffmpegdecoder.so

%_libdir/kde3/kfile_k3b.la
%_libdir/kde3/kfile_k3b.so
%_libdir/kde3/kio_videodvd.la
%_libdir/kde3/kio_videodvd.so

%_libdir/kde3/libk3bmpcdecoder.la
%_libdir/kde3/libk3bmpcdecoder.so
	 
%_libdir/kde3/libk3balsaoutputplugin.la
%_libdir/kde3/libk3balsaoutputplugin.so
		  

%_libdir/kde3/libk3bsoxencoder.la
%_libdir/kde3/libk3bsoxencoder.so

%_libdir/kde3/libk3blibsndfiledecoder.la
%_libdir/kde3/libk3blibsndfiledecoder.so

%_libdir/kde3/libk3bwavedecoder.la
%_libdir/kde3/libk3bwavedecoder.so


%_libdir/kde3/libk3bartsoutputplugin.la
%_libdir/kde3/libk3bartsoutputplugin.so

#%_libdir/kde3/kcm_k3bsetup2.la
#%_libdir/kde3/kcm_k3bsetup2.so

%_libdir/libk3b.la
%_libdir/libk3b.so.*

%_libdir/libk3bdevice.so.*
%_libdir/libk3bdevice.la


%_libdir/kde3/libk3baudioprojectcddbplugin.la
%_libdir/kde3/libk3baudioprojectcddbplugin.so

%_libdir/kde3/libk3bflacdecoder.la
%_libdir/kde3/libk3bflacdecoder.so

%files -n %libname-devel
%defattr (-,root,root)
%_includedir/*.h
%_libdir/libk3bdevice.so
%_libdir/libk3b.so


%changelog
* Thu Jun 21 2007 Vincent Danen <vdanen@mandriva.com> 1.0-3.1mdv2007.1
- build for updates

* Wed Jun 20 2007 Nicolas Lécureuil <neoclust@mandriva.org> 1.0-3.1mdv2007.1
+ Revision: 41756
- Fix Sox detection ( bug #29784 )

  + Andreas Hasenack <andreas@mandriva.com>
    - branched cooker into 2007.1 (will have to revert some recent changes)


* Sat Mar 31 2007 Olivier Blin <oblin@mandriva.com> 1.0-3mdv2007.1
+ Revision: 150023
- rebuild to fix corrupted hdlist header

  + Laurent Montel <lmontel@mandriva.com>
    - add patch from branch

* Sun Mar 18 2007 Olivier Blin <oblin@mandriva.com> 1.0-2mdv2007.1
+ Revision: 145763
- tag lang on HTML doc

  + Laurent Montel <lmontel@mandriva.com>
    - 1.0

* Tue Mar 13 2007 Laurent Montel <lmontel@mandriva.com> 1.0-0.rc7.2mdv2007.1
+ Revision: 142381
- rc7

* Mon Mar 05 2007 Laurent Montel <lmontel@mandriva.com> 1.0-0.rc6.2mdv2007.1
+ Revision: 133016
- k3bsetup2 not necessary

* Fri Feb 23 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 1.0-0.rc6.1mdv2007.1
+ Revision: 125003
- regenerate P1
- own missing files
- rebuild against new libmpcdec

  + Laurent Montel <lmontel@mandriva.com>
    - rc6

* Sat Jan 27 2007 Laurent Montel <lmontel@mandriva.com> 1.0-0.rc5.1mdv2007.1
+ Revision: 114364
- rc5

* Wed Jan 17 2007 Nicolas Lécureuil <neoclust@mandriva.org> 1.0-0.rc4.2mdv2007.1
+ Revision: 110030
- Add patch2 : Add wodim support

* Tue Jan 09 2007 Nicolas Lécureuil <neoclust@mandriva.org> 1.0-0.rc4.1mdv2007.1
+ Revision: 106587
- New version 1.0rc4 (Last before 1.0)

* Sat Dec 30 2006 Laurent Montel <lmontel@mandriva.com> 1.0-0.rc3.1mdv2007.1
+ Revision: 102863
- rc3

* Wed Dec 13 2006 Nicolas Lécureuil <neoclust@mandriva.org> 1.0-0.rc2.1mdv2007.1
+ Revision: 96454
- Fix Spec
- New version 1.0rc2

* Mon Dec 11 2006 Nicolas Lécureuil <neoclust@mandriva.org> 1.0-0.rc1.1mdv2007.1
+ Revision: 95104
- Fix spec File
- New version 1.0rc1

* Fri Dec 01 2006 Laurent Montel <lmontel@mandriva.com> 1.0-0.beta1.2mdv2007.1
+ Revision: 89519
- Fix spec file
- 1.0-beta1

* Thu Nov 02 2006 Laurent Montel <lmontel@mandriva.com> 0.12.17-3mdv2007.1
+ Revision: 75817
- Fix detect autoconf2.60
- Fix bug #26843
- add %%doc

* Fri Aug 25 2006 Helio Chissini de Castro <helio@mandriva.com> 0.12.17-1mdv2007.0
+ Revision: 57930
- k3b need flac do decide wich version is using.
- Proper file list for docs
- Make proper buildrequires
- Make proper buildrequires
- Removed non used patches
- Removed reconfigure ( not needed )
- Added suffix for 64
- Removed enable-new-ldflags
- Updated for 0.12.17

* Thu Aug 03 2006 Laurent Montel <lmontel@mandriva.com> 0.12.16-5mdv2007.0
+ Revision: 43017
- Rebuild with new k3b
  (2006/08/02) 5mdv

* Fri Jul 28 2006 Laurent Montel <lmontel@mandriva.com> 0.12.16-4mdv2007.0
+ Revision: 42270
- New version 0.12.16-4mdv (2006-07-27)
  (necessary to add this info as repsys is not able to add this info)
  Don't add categorie for hidden desktop files
- Fix file list
- Requires vcdimager
- use macro
- 0.12.16
- Rebuild with new dbus
- Rebuild to generate good category
- Rebuild against xorg
- Rebuild to generate category
- 0.12.15
- 0.12.14
- 0.12.12
- Fix spec file
- 0.12.11
- Add ja message (patch from UTUMI Hirosi)
- Re-add Buildrequires: flac
- Rebuild with new lib dbus
- Reenable flac compile (now k3b fixed this support)
- 0.12.10
- 0.12.9
- use %%mkrel
- 0.12.8
- 0.12.7
- Rebuild with new dbus
- Fix spec file
- Fix buildrequires found by Christiaan Welvaart
- Add
- 0.12.5
- Fix spec file
- 0.12.4a
- New fix
- Last sync
- New diff
- New sync
- Fix compile error
- Sync with k3b branch (add all changes from this WE)
- Fix crash on x86_64
- Add diff from branch
- Fix lang
- Add enable-final
- 0.12.3
- Fix buildrequires bug found by nicolas Chipaux
- 0.12.2
- Rebuild for x86_64
- Update
- Update 0.12

  + Andreas Hasenack <andreas@mandriva.com>
    - renamed mdv to packages because mdv is too generic and it's hosting only packages anyway

  + Nicolas Lécureuil <neoclust@mandriva.org>
    - 0.12.15-3mdk
      	- Reupload for x86_64"
    - 0.12.14-2mdk
    - remove Japanese messages (merged upstream) #21035

  + Helio Chissini de Castro <helio@mandriva.com>
    - Uploading package ./k3b

* Mon Jun 20 2005 Laurent MONTEL <lmontel@mandriva.com> 0.12.1-1mdk
- 0.12.1

* Fri May 13 2005 Laurent MONTEL <lmontel@mandriva.com> 0.12-0.beta1.1mdk
- first k3b 0.12 beta1

* Thu May 12 2005 Laurent MONTEL <lmontel@mandriva.com> 0.11.24-1mdk
- 0.11.24

* Tue May 03 2005 Laurent MONTEL <lmontel@mandriva.com> 0.11.23-2mdk
- Rebuild with new libflac

* Fri Apr 15 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 0.11.23-1mdk
- 0.11.23

* Thu Mar 24 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 0.11.20-7mdk
- Add patch14: fix welcome widget crash

* Tue Mar 15 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 0.11.20-6mdk
- Add patch12: "Always close DVD when writing iso image as default."
			   "Use incremental seqeuntial writing mode as default for DVD-R(W)."
- Add patch13: fix cddb crash

* Thu Mar 10 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 0.11.20-5mdk
- Add patch10: "fix for crash when importing session failed."
- Add patch11: fix layout

* Thu Feb 24 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 0.11.20-4mdk
- Add patch9: fix diskdetection

* Tue Feb 15 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 0.11.20-3mdk
- Add patch8: fix sound file filter (bug found by Wilman)

* Mon Feb 14 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 0.11.20-2mdk
- Add patch7: fix detect device on buggy firmwares

* Fri Feb 04 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 0.11.20-1mdk
- 0.11.20

* Fri Feb 04 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 0.11.19-7mdk
- Make clean to ensure that we regenerate all po file fix "Burn..." not translated and other po problem
- Add patch6: fix translate

* Fri Feb 04 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 0.11.19-6mdk
- Add patch5: fix kde bug #96859 fix multi session

* Thu Jan 27 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 0.11.19-5mdk
- 0.11.19

* Thu Jan 13 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 0.11.18-5mdk
- Add patch5: fix delete dvd image

* Wed Dec 15 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.11.18-4mdk
- Fix crash when we can't find a writer device

* Wed Dec 15 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.11.18-3mdk
- Add debug

* Mon Dec 13 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.11.18-2mdk
- 0.11.18

* Thu Dec 02 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.11.17-2mdk
- fix spec file

* Sat Oct 09 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.11.17-1mdk
- 0.11.17

* Sat Oct 09 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.11.16-4mdk
- Remove requires kdebase not necessary

* Wed Sep 29 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.11.16-3mdk
- Add patch6: "fixed cd-text loading in audio projects"

* Sat Sep 25 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.11.16-2mdk
- Add patch5: fix detect speed

* Sat Sep 18 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.11.16-1mdk
- 0.11.16

* Sat Aug 28 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.11.14-7mdk
- Fix %%Name -> %%name

* Sat Aug 28 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.11.14-6mdk
- Fix icons link (bug found by Fred Crozat)

* Sat Aug 28 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.11.14-5mdk
- Fix again menu :(

* Wed Aug 25 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.11.14-4mdk
- Fix menu

* Thu Aug 19 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.11.14-3mdk
- Fix url

* Wed Aug 18 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.11.14-2mdk
- Add patch4: fix k3b + kernel 2.6.8.1

* Wed Aug 11 2004 Laurent Culioli <laurent@mandrake.org> 0.11.14-1mdk
- 0.11.14
- spec cleanup

* Thu Aug 05 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.11.13-1mdk
- 0.11.13

* Thu Aug 05 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.11.12-4mdk
- rebuild for new flac

* Sat Jul 31 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.11.12-3mdk
- Minor spec file clean

* Sat Jul 31 2004 Laurent Culioli <laurent@mandrake.org> 0.11.12-2mdk
- Patch8 ( fix new dvd+rw-format detection )

* Sat Jun 26 2004 Laurent Culioli <laurent@mandrake.org> 0.11.12-1mdk
- 0.11.12

* Thu Jun 17 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.11.11-2mdk
- Fix obsolete

* Wed Jun 16 2004 Laurent Culioli <laurent@mandrake.org> 0.11.11-1mdk
- 0.11.11
- change major

* Sat Jun 05 2004 <lmontel@n2.mandrakesoft.com> 0.11.10-5mdk
- Rebuild

* Fri Jun 04 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.11.10-4mdk
- Rebuild to update src.rpm

* Wed Jun 02 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.11.10-3mdk
- 0.11.10

* Sat May 22 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 0.11.9-3mdk
- don't do stuff within parantheses
- fix buildrequires

* Mon Apr 19 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 0.11.9-2mdk
- fix buildrequires

* Wed Mar 31 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.11.9-1mdk
- 0.11.9
- Use %%configure
- Use mdkversion

